-- This SQL script upgrades the database schema for manitou-mail
-- from 0.9.10 to 0.9.11 version

\set ON_ERROR_STOP 1

BEGIN;

CREATE TABLE filter_log (
 expr_id int,   -- No reference to filter_expr, we don't want any constraint here
 mail_id int,   -- No reference to mail to be able to delete mail without touching this table
 hit_date timestamptz default now()
);

ALTER TABLE filter_expr ADD direction char(1) default 'I';

ALTER TABLE attachments ADD mime_content_id text;

UPDATE runtime_info SET rt_value='0.9.11' WHERE rt_key='schema_version';

END;
